#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}
#-----------------------------------------------------------------------------
Name		:	h323plus
Version		:	1_27_2
Release		:	14.4.0.0%{?dist}
Summary		:	H.323 development framework

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MPL
URL		:	https://github.com/willamowius/h323plus

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	ptlib-devel
BuildRequires	:	ffmpeg-devel

#-----------------------------------------------------------------------------
%description
H.323 is the leading protocol for videoconferencing,
with virtually every videoconferencing solution in
the world using H.323 in order to establish voice and
video communication sessions. With its superior handling
of video and conference control, no other protocol
comes close to matching the capabilities of H.323 for video.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_includedir}/openh323/*.h
%{_includedir}/openh323/codec/*.h
%{_includedir}/openh323/h224/*.h
%{_includedir}/openh323/h230/*.h
%{_includedir}/openh323/h235/*.h
%{_includedir}/openh323/h341/*.h
%{_includedir}/openh323/h350/*.h
%{_includedir}/openh323/h450/*.h
%{_includedir}/openh323/h460/*.h
%{_libdir}/libh323_linux_%{_arch}_.so*
%{_libdir}/libopenh323.so
%{_datadir}/openh323/*.mak

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

autoconf -v -i -f
./configure						\
	--prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
        --includedir=%{_includedir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-sbc					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}


#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

chmod							\
	+w						\
	%{buildroot}%{_libdir}/libh323_linux_x86_64_.so.*

#-----------------------------------------------------------------------------
%changelog
